{% extends 'base.html' %}
{% block javascript %}
 <script>
    $("#id_username").change(function () {
      var username = $(this).val();

      $.ajax({
        url: 'validate_username/',
        data: {
          'username': username
        },
        dataType: 'json',
        success: function (data) {
          if (data.is_taken) {
            document.write("A user with this username already exists.");
          }
        }
      });

    });
  </script>
{% endblock %}
{% block content %}
<form method="post">
    {% csrf_token %}
    {{ form.as_p }}
    <button type="submit">Sign up</button>
  </form>
{% endblock %}